 /*
 * file      : build.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * OLD ADRESS:
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * NEW ADRESS:
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */


#ifndef __build_h__
#define __build_h__ 1

typedef struct {			// BUFFERS
	
	GString	*GstrMakefileAm;	// Makefile.am
	GString	*GstrConfigureIn;	// configure.in
	GString	*GstrSrcMakefileAm;	// src/Makefile.am
	GString	*GstrSrc2MakefileAm;	// src2/Makefile.am
	GString	*GstrManMakefileAm;	// man/Makefile.am
	GString	*GstrLibMakefileAm;	// lib/Makefile.am
	GString	*GstrPixmapsMakefileAm;	// pixmaps/Makefile.am
	GString	*GstrMenuMakefileAm;	// menu/Makefile.am
	GString	*GstrMimeMakefileAm;	// mime/Makefile.am
	GString	*GstrGladeMakefileAm;	// glade/Makefile.am
	
} VAR_BUILD;

extern VAR_BUILD VarBuild;

void build_clicked (void);
void build_files (void);
void build_remove (void);

#endif

